{
  programs.starship = {
    enable = true;
    enableBashIntegration = true;
    enableZshIntegration = true;
    settings = {
      directory.truncation_symbol = "…/";
      hostname.format = "[$hostname]($style) ";
      line_break.disabled = true;
      nix_shell.symbol = "❄️ ";
      python.python_binary = "python3";
      status = {
        disabled = false;
        format = "[$symbol $status]($style) ";
      };
      username.format = "[$user]($style)@";
    };
  };
}
